I run

./configure --with-java

and receive this error:

checking for java... /usr/bin/java
checking for javac... /usr/bin/javac
checking for jar... /usr/bin/jar
checking for jni.h... yes
checking for Java path separator... test failed
configure: error: Couldn't compile and run a simple Java program

Please any can help me I need install for use Xapian from java. I am
using xapian-bindings-0.9.9, and give me the same error that for
xapian-bindings-1.0.3

Thanks

al.

Search Discussions

  • Jim at Nov 5, 2007 at 7:57 pm

    Aleph Thomas wrote:
    I run

    ./configure --with-java

    and receive this error:

    checking for java... /usr/bin/java
    checking for javac... /usr/bin/javac
    checking for jar... /usr/bin/jar
    checking for jni.h... yes
    checking for Java path separator... test failed
    configure: error: Couldn't compile and run a simple Java program

    Please any can help me I need install for use Xapian from java. I am
    using xapian-bindings-0.9.9, and give me the same error that for
    xapian-bindings-1.0.3

    Thanks

    al.
    Just a wild guess, but do you have JAVA_HOME and CLASSPATH defined in
    your environment?

    Jim.
  • Olly Betts at Nov 5, 2007 at 8:17 pm

    On Mon, Nov 05, 2007 at 02:10:34PM -0500, Aleph Thomas wrote:
    checking for java... /usr/bin/java
    checking for javac... /usr/bin/javac
    checking for jar... /usr/bin/jar
    checking for jni.h... yes
    checking for Java path separator... test failed
    configure: error: Couldn't compile and run a simple Java program

    Please any can help me I need install for use Xapian from java. I am
    using xapian-bindings-0.9.9, and give me the same error that for
    xapian-bindings-1.0.3
    This is the program which configure tries to compile:

    public class conftest { public static void main(String[] args) { System.out.println(System.getProperty("path.separator")); } }

    Any output from the failed compilation will be in config.log. If you
    can't figure it out, open a bug report and attach config.log (please
    don't send it to the list - it's rather large).

    Cheers,
    Olly
  • Aleph Thomas at Nov 5, 2007 at 9:03 pm
    Not, only out :
    On 11/5/07, Olly Betts wrote:
    On Mon, Nov 05, 2007 at 02:10:34PM -0500, Aleph Thomas wrote:
    checking for java... /usr/bin/java
    checking for javac... /usr/bin/javac
    checking for jar... /usr/bin/jar
    checking for jni.h... yes
    checking for Java path separator... test failed
    configure: error: Couldn't compile and run a simple Java program

    Please any can help me I need install for use Xapian from java. I am
    using xapian-bindings-0.9.9, and give me the same error that for
    xapian-bindings-1.0.3
    This is the program which configure tries to compile:

    public class conftest { public static void main(String[] args) { System.out.println(System.getProperty("path.separator")); } }

    Any output from the failed compilation will be in config.log. If you
    can't figure it out, open a bug report and attach config.log (please
    don't send it to the list - it's rather large).

    Cheers,
    Olly
  • Olly Betts at Nov 6, 2007 at 7:41 am
    Please don't top post.
    On Mon, Nov 05, 2007 at 04:03:22PM -0500, Aleph Thomas wrote:
    On 11/5/07, Olly Betts wrote:
    On Mon, Nov 05, 2007 at 02:10:34PM -0500, Aleph Thomas wrote:
    checking for Java path separator... test failed
    configure: error: Couldn't compile and run a simple Java program
    This is the program which configure tries to compile:

    public class conftest { public static void main(String[] args) { System.out.println(System.getProperty("path.separator")); } }

    Any output from the failed compilation will be in config.log. If you
    can't figure it out, open a bug report and attach config.log (please
    don't send it to the list - it's rather large).
    Not, only out :
    That's what the test program is meant to output (under Unix anyway).

    But configure is failing to compile or run this test program for some
    reason. If it's a compilation error, then that error will be in
    config.log.

    What commands did you use to compile and run it by hand?

    Cheers,
    Olly
  • Aleph Thomas at Nov 6, 2007 at 1:21 pm
    I am using ./configure, I attach the config.log, please I need the
    java work, maybe is the version?, I am using 0.9.9

    thanks

    al.
  • James Aylett at Nov 6, 2007 at 2:19 pm

    On Tue, Nov 06, 2007 at 08:21:52AM -0500, Aleph Thomas wrote:

    I am using ./configure, I attach the config.log, please I need the
    java work, maybe is the version?, I am using 0.9.9
    You can't post large attachments to the list - as Olly said, please
    attach it to a bug report on bugzilla. Also, try using the latest
    version - 0.9.9 is quite old.

    J

    --
    /--------------------------------------------------------------------------\
    James Aylett xapian.org
    james@tartarus.org uncertaintydivision.org
  • Olly Betts at Nov 6, 2007 at 5:48 pm

    On Tue, Nov 06, 2007 at 02:19:50PM +0000, James Aylett wrote:
    On Tue, Nov 06, 2007 at 08:21:52AM -0500, Aleph Thomas wrote:

    I am using ./configure, I attach the config.log, please I need the
    java work, maybe is the version?, I am using 0.9.9
    You can't post large attachments to the list - as Olly said, please
    attach it to a bug report on bugzilla. Also, try using the latest
    version - 0.9.9 is quite old.
    Aleph did actually say in an earlier message that he got the same error
    with 1.0.3, but indeed we aren't interested in bugs in 0.9.x at this
    point in time unless they also apply to the latest version.

    Even if you aren't ready to upgrade to 1.0.x yet, you really want to be
    using 0.9.10 - especially for Java since it fixed several bugs and
    implemented some missing features.

    Cheers,
    Olly
  • Aleph Thomas at Nov 6, 2007 at 7:00 pm
    Hello Olly, I update to 1.0.4 and give me the same problem.

    Thanks

    al.
  • Aleph Thomas at Nov 7, 2007 at 9:45 pm
    Hello all, I solve the problem with the java configure the think was
    that ubuntu by default have the gij for java , and this have severals
    problems, only remove gij and install java 5 or 6

    thanks all about
    On 11/6/07, Aleph Thomas wrote:
    Hello Olly, I update to 1.0.4 and give me the same problem.

    Thanks

    al.
  • Olly Betts at Nov 7, 2007 at 9:52 pm

    On Wed, Nov 07, 2007 at 04:45:40PM -0500, Aleph Thomas wrote:
    Hello all, I solve the problem with the java configure the think was
    that ubuntu by default have the gij for java , and this have severals
    problems, only remove gij and install java 5 or 6
    Good to hear you've found the problem.

    I have successfully built and run the Java "SmokeTest" with gij on
    Ubuntu in the past. I'll try it with gij when I get a chance and see
    if I can work out why it's no longer working.

    Cheers,
    Olly
  • Jim at Nov 6, 2007 at 2:20 pm

    Aleph Thomas wrote:
    I am using ./configure, I attach the config.log, please I need the
    java work, maybe is the version?, I am using 0.9.9

    thanks

    al.

    ------------------------------------------------------------------------

    _______________________________________________
    Xapian-discuss mailing list
    Xapian-discuss@lists.xapian.org
    http://lists.xapian.org/mailman/listinfo/xapian-discuss
    The log didn't come through, perhaps it is too long?

    So please do as Olly said in an earlier message:

    "Any output from the failed compilation will be in config.log. If you

    can't figure it out, open a bug report and attach config.log (please
    don't send it to the list - it's rather large)."

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupxapian-discuss @
categoriesxapian
postedNov 5, '07 at 7:10p
activeNov 7, '07 at 9:52p
posts12
users4
websitexapian.org
irc#xapian

People

Translate

site design / logo © 2021 Grokbase